package com.yx.face.service;

import com.yx.face.model.vo.AreaCodeVO;
import com.yx.face.model.vo.AreaCodeVOList;

import java.util.List;


/**
 * @description: 地址编码表(AreaCode)表服务接口 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:45 <br>
 */

public interface AreaCodeService {

//    List<AreaCodeVO> getAddress(Integer code);
//
//    List<PoliceStationVO> getPoliceList(Integer addressCode);
    /*
     * 获取省份列表
     * */
    List<AreaCodeVOList> getProvince();
    /*
     * 获取城市列表
     * */
    List<AreaCodeVOList> getCity(Integer areaCodeId);
    /*
     * 获取县区列表
     * */
    List<AreaCodeVOList> getArea(Integer areaCodeId);
    /*
     * 获取街道乡镇列表
     * */
    List<AreaCodeVOList> getStreet(Integer areaCodeId);
    /*
     * 根据主键获取信息
     * */
    AreaCodeVO getById(Integer areaCodeId);
}

